Bug 1573629 - Unclear Error when performing bulk action of Manage Repository Set against Hosts without Content registration
Summary: Unclear Error when performing bulk action of Manage Repository Set against Ho...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hosts - Content
Version: 6.3.1
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: 6.4.0
Assignee: Samir Jha
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-01 19:53 UTC by Dylan Gross
Modified: 2019-11-05 23:17 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:31:36 UTC
Target Upstream Version:


Attachments (Terms of Use)
Verified - Mange repository set success (104.88 KB, image/png)
2018-09-10 13:45 UTC, Jitendra Yejare
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 23887 0 Normal Closed Unclear Error when performing bulk action of Manage Repository Set against Hosts without Content registration 2020-11-13 12:47:12 UTC
Red Hat Knowledge Base (Solution) 3429901 0 None None None 2018-05-01 20:26:44 UTC

Description Dylan Gross 2018-05-01 19:53:20 UTC
Description of problem:

   When trying to perform bulk action "Manage Repository Sets" on Content Hosts, if a Content Host has never registered, it will fail and return an undefined method error:

   NoMethodError: undefined method `uuid' for nil:NilClass


Version-Release number of selected component (if applicable):

   Red Hat Satellite 6.3.1

How reproducible:   Easily, always?


Steps to Reproduce:
1.   Create a Host: WebUI-> Hosts -> All Hosts -> Create Host - But do not actually build one yet or register that host.

2.   Go to WebUI -> Content Hosts and select a number of hosts, including the one just created (which should show as "Never registered" and "Never checked in"

3.   Select "Select Action" -> "Manage Repository Sets" and choose a Repository set and either "Override to Enabled" or "Override to disabled"

Actual results:

The task "Update Contennt Overrides to <content-host>" will fail with an error simply saying "undefined method `uuid' for nil:NilClass"


Expected results:

  The task should still fail, or give a warning, more gracefully with an explanation of the failure rather than the undefined method error.


Additional info:

Comment 4 Samir Jha 2018-06-11 14:59:30 UTC
Created redmine issue http://projects.theforeman.org/issues/23887 from this bug

Comment 5 pm-sat@redhat.com 2018-06-19 00:20:58 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/23887 has been resolved.

Comment 7 Jitendra Yejare 2018-09-10 13:45:02 UTC
Created attachment 1482126 [details]
Verified - Mange repository set success

Verified!

@ Satellite 6.4 snap 20


Steps:

1. Created a Host which is not registered and not checked in.

2. From WebUI -> Content Hosts and selected a number of hosts, including the one just created (which should show as "Never registered" and "Never checked in"

3. Selected "Select Action" -> "Manage Repository Sets" and choose a Repository set and either "Override to Enabled".


Observation:

The task did not fail, and just posted a warning, with an explanation of the failure.

Verification screenshot attached.

Comment 8 Bryan Kearney 2018-10-16 19:31:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.